> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Result

<Note>
  The response data format is exactly the same as the create video interface. You only need to pay attention to the `task_status` and `video_result` field values.
</Note>

### cURL Request Example

```bash theme={null}
  curl --location --request GET 'https://geekai.dev/api/v1/video/bigmodel-video-xxxxx/result' \
    --header 'Authorization: Bearer {YOUR_GEEKAI_API_KEY}'
```


## OpenAPI

````yaml openapi.yaml GET /video/{task_id}/result
openapi: 3.1.0
info:
  title: GeekAI API Docs
  description: >-
    GeekAI API Specification Document Provides AI capabilities such as chat,
    image generation, speech processing, video generation, ai agents and file
    extract.
  version: 1.0.0
servers:
  - url: https://geekai.dev/api/v1
    description: base URL
security:
  - bearerAuth: []
  - apiKeyAuth: []
paths:
  /video/{task_id}/result:
    get:
      tags:
        - Video
      summary: Get Video Generation Task Result
      description: Get the video generation task result based on the task ID.
      operationId: getVideoResult
      parameters:
        - name: task_id
          in: path
          required: true
          description: task ID
          schema:
            type: string
            format: uuid
          example: bigmodel-video-123456789
      responses:
        '200':
          description: successful response
          content:
            application/json:
              schema:
                type: object
                required:
                  - model
                  - task_id
                  - task_status
                properties:
                  model:
                    type: string
                    description: video model
                    example: cogvideox-flash
                  task_id:
                    type: string
                    description: task ID
                    format: uuid
                    example: bigmodel-video-123456789
                  task_status:
                    type: string
                    description: task status
                    enum:
                      - pending
                      - running
                      - success
                      - failed
                    example: success
                  progress:
                    type: integer
                    description: task progress(0-100)
                    minimum: 0
                    maximum: 100
                    example: 85
                  video_result:
                    type: object
                    description: video generation result(only returned when successful)
                    properties:
                      url:
                        type: string
                        format: uri
                        description: video URL
                      cover_image_url:
                        type: string
                        format: uri
                        description: cover image URL
                      duration:
                        type: number
                        description: actual video duration(seconds)
                      size:
                        type: integer
                        description: video file size(bytes)
                      format:
                        type: string
                        description: video format
                        example: mp4
                      resolution:
                        type: string
                        description: video resolution
                        example: 1920x1080
                      fps:
                        type: integer
                        description: video frame rate
                        example: 30
                      created_at:
                        type: string
                        format: date-time
                        description: finish time
                  error:
                    type: object
                    description: error information(only returned when failed)
                    properties:
                      code:
                        type: string
                        description: error code
                      message:
                        type: string
                        description: error message
                      details:
                        type: object
                        description: error details
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          description: task not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          $ref: '#/components/responses/StandardError'
components:
  responses:
    ValidationError:
      description: validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                example: validation_error
              message:
                type: string
                example: validation error
              details:
                type: object
                additionalProperties:
                  type: string
                example:
                  field: error message
    Unauthorized:
      description: unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                example: unauthorized
              message:
                type: string
                example: invalid api key or token
    StandardError:
      description: standard error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: error code
          example: invalid_request
        message:
          type: string
          description: error message
          example: invalid request
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: token
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: api key

````